#include"guess.h"
using namespace std;
int find_number(int MAX)
{
    int l=0,r=MAX;
    while(r>=l)
    {
        int m=(l+r)/2;
        if(smaller(m))
        {
            r=m-1;
        }
        else
        {
            l=m+1;
        }
    }
    return r;
}
